comecerodocs

Delete a token

DELETE
/auths/{auth_id}

Deletes a token so it stops working at once. Use me to sign out the token you call with, for example when a shopper logs out.

Any token may delete itself with me, including a limited token. To delete another token you need a secret or trusted token with the auths delete permission.

Authorization

headerAuthorizationBearer <token>

A secret, trusted or limited token. See Authentication.

Path Parameters

auth_id*string

The token's auth_id, which is the SHA-256 hash of the full token in lower-case hex. Never put the full token in a URL. Use me for the token you call with.

Response Body

The token is deleted. No body.

Example Request
curl -X DELETE 'https://api.comecero.com/api/v1/auths/me'
Example Response
Empty